Skip to main content
`Ctrl`+`K`

# PCLoad

Loads a `PC` that has been stored in binary with `PCView()`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCLoad(PC newdm, PetscViewer viewer)

Collective

## Input Parameters

- newdm - the newly loaded `PC`, this needs to have been created with `PCCreate()` or some related function before a call to `PCLoad()`.

- viewer - binary file viewer `PETSCVIEWERBINARY`, obtained from `PetscViewerBinaryOpen()`

## Note

The type is determined by the data in the file, any `PCType` set into the `PC` before this call is ignored.

## See Also

KSP: Linear System Solvers, `PC`, `PetscViewerBinaryOpen()`, `PCView()`, `MatLoad()`, `VecLoad()`, `PETSCVIEWERBINARY`

## Level

intermediate

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages